<?php
#####################################
#  Coded in Pirate Technologies(C)  #
#  ///////////////////////////////  #
# ICQ: 854141                       #
# http://phpme.ru                   #
# http://angelcorpse.free-lance.ru  #
#####################################
require '../system/start.php';
require '../system/functions.php';

$id = int($_GET['id']);


$file_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `files_files` WHERE `id`=".$id.""));
// путь до файла 
$file = 'files/'.$file_info['url']; 
/// кадр который будем выхватывать  
$frame = 20;   
   
// получаем кадр  
$movie = new ffmpeg_movie($file);  
$image = $movie->getFrame($frame);  
$show_img = $image->toGDImage();   
   
// выводим его  
header("Content-type: image/jpeg");  
imagejpeg($show_img);  
imagedestroy($show_img); 
?>